/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import "~@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

.footer-md::before,
.header-md::after {
  background-image: none;
}

.d-flex {
  display: flex;
}

.d-block {
  display: block;
}

.d-flex-align-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.input-clear-icon.sc-ion-input-md {
  background-image: url("assets/imgs/close-outline.svg");
}

.text-bold {
  font-weight: bold;
}

.dark-mode {
  --color: black;
}

.dark-mode ion-badge {
  background-color: black !important;
  border-color: #65b2d5 !important;
  color: #65b2d5 !important;
}

app-body-header ion-icon {
  margin: auto;
  display: block;
  font-size: 34px;
  margin-bottom: 2%;
}

.sc-ion-loading-ios-h {
  --background: var(--ion-color-primary);
}

.loading-wrapper {
  border-radius: 50% !important;
  border: 2px solid #fff;
  --background: var(--ion-color-primary);
  padding: 3% !important;
}

ion-spinner.sc-ion-loading-ios {
  color: #fff;
}

@media (orientation: landscape) {
  app-body-header ion-icon {
    margin-bottom: auto;
  }
}

.d-none {
  display: none;
}